require 'json'

package = JSON.parse(File.read(File.join(__dir__, 'package.json')))

Pod::Spec.new do |s|
  s.name     = "react-native-dfp"
  s.version  = package['version']
  s.summary  = package['description']
  s.license  = package['license']
  s.author   = package['author']
  s.source   = { :git => 'https://ussvc01.newsmemory.com:3000/tecnavia/react-native-dfp.git', :tag => s.version }
  s.homepage = "https://www.tecnavia.com"
  s.platform = :ios, "11.0"

  s.preserve_paths = 'README.md', 'package.json'
  s.source_files   = "ios/*.{h,m}"

  s.dependency 'React'
  s.dependency 'Google-Mobile-Ads-SDK', '>= 9.6'
end
